## opustags 1.9.0

=== debian/changelog ===
opustags (1.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1039929)
  * Fix typo in man page.
  * d/watch: Use new format for GitHub.
  * d/rules: Export LC_ALL=C.UTF-8 to work around pbuilder bug.
  * d/rules: Remove unused include of pkg-info.mk
  * d/rules: Disable DH_VERBOSE for release.
  * d/copyright: Update copyright year.

 -- Dale Richards <dale@dalerichards.net>  Fri, 15 Dec 2023 08:35:03 +0000
