=== debian/control ===
Source: opustags
Section: utils
Priority: optional
Maintainer: Dale Richards <dale@dalerichards.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libogg-dev,
 libtest-deep-perl,
 liblist-moreutils-perl,
 ffmpeg,
Standards-Version: 4.6.2
Homepage: https://github.com/fmang/opustags
Vcs-Browser: https://salsa.debian.org/doge-tech/opustags
Vcs-Git: https://salsa.debian.org/doge-tech/opustags.git

Package: opustags
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: view and edit Ogg Opus comments
 Edit Opus tags in batch with command line flags, export or
 import tags through text files, or edit tags interactively
 using your preferred text editor.
