## opustags 1.10.1

=== debian/changelog ===
opustags (1.10.1-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:41:35 +0000

opustags (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
    - Include algorithm library in src/cli.cc and src/opus.cc to
      fix errors when building with gcc-14. (Closes: #1075349)

 -- Dale Richards <dale@dalerichards.net>  Wed, 17 Jul 2024 11:28:13 +0100

opustags (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
    - Introduce -z to delimit tags with null bytes.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Remove patch fixed upstream.
  * Bump copyright year.
  * Remove redundant LICENSE file.

 -- Dale Richards <dale@dalerichards.net>  Sat, 18 May 2024 13:08:51 +0100
